#!/bin/sh

[ -z $GTKDIALOG ] && GTKDIALOG=gtkdialog

MAIN_DIALOG='
<window title="Question" icon-name="gtk-dialog-question">
	<vbox>
		<hbox>
			<text>
				<label>Label:</label>
			</text>
			<entry activates-default="true">
				<default>Default text</default>
				<variable>ENTRY</variable>
			</entry>
		</hbox>
		<hbox>
			<button cancel></button>
			<button can-default="true" has-default="true" use-stock="true"> 
				<label>gtk-ok</label>
			</button>
		</hbox>
	</vbox>
</window>
'
export MAIN_DIALOG

case $1 in
	-d | --dump) echo "$MAIN_DIALOG" ;;
	*) $GTKDIALOG --program=MAIN_DIALOG ;;
esac
